Jump to content
jman69

BOOTPACK FOR E6520 NVIDIA WITH CATALINA?

Recommended Posts

We provide no bootpack for those E6x20 laptops for Mojave and/or Catalina. High Sierra is the last macOS version to be natively supported on the Sandy Bridge E6x20 series. There is no proper support for the nVidia Fermi GPU beyond El Capitan and no native support for HD3000 beyond High Sierra.

 

Although there are tricks to run Mojave and Catalina on unsupported HD3000 platforms, these are increasingly cumbersome to install and you'll have hell each time you'll try to update. My advice is to stick to High Sierra or change your laptop if you want to run Catalina.

Share this post


Link to post
Share on other sites

×
×
  • Create New...